{% comment %}

Form preview

Context:
    form
    title
    edit_url

{% endcomment %}

{% load bootstrap extra_filters i18n %}

<div class="box box-muted">

    <div class="box-header">

        {% if url %}
        <div class="pull-right">
            <a href="{{ url }}" class="btn btn-default btn-sm section-edit-button" data-role="edit">
                <span class="{{ ICONS.edit }}"></span>
                {% trans "Edit" %}
            </a>
        </div>
        {% endif %}

        {% if title %}
        <h2>
            {{ title }}
        </h2>
        {% endif %}

    </div>

    <div class="box-content">
        <table class="table-condensed">
            {% for field in form %}
                <tr>
                    <td class="label-cell">
                        <strong>
                            {{ field.label }}:
                        </strong>
                    </td>
                    <td>
                        {% if field.field|class_name == 'ImageField' or field.field|class_name == 'FileField' %}
                           {% if field.value %}
                               <span class="icon {{ ICONS.yes }}"></span>
                           {% endif %}
                        {% else %}
                            {% if field.name == 'url' %}
                                <a href="{{ field.value }}" target="_blank">{{ field.value }}</a>
                            {% else %}
                                {{ field.value }}
                            {% endif %}
                        {% endif %}
                    </td>
                </tr>
            {% endfor %}
        </table>
        <div class="clearfix"></div>
    </div>

</div>

